For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
API StatusPartner Portal
HomeGuidesAPI ExplorerSDKsGitHubSupport
HomeGuidesAPI ExplorerSDKsGitHubSupport
  • API Concepts
    • Overview
    • Environments and URLs
    • Authentication
    • API versioning
    • Rate limiting
    • HTTP headers
    • Pagination, sorting, and filtering
  • General
  • Common
  • Accounts payable
  • Accounts receivable
  • E-invoicing
      • GETGet all e-invoicing connections
      • POSTCreate an e-invoicing connection
      • GETGet an e-invoicing connection by ID
      • DELDelete an e-invoicing connection
      • PATCHUpdate an e-invoicing connection
      • POSTCreate an e-invoicing credential
  • Payments
  • Accounting integration
  • Expense management
  • Utilities
LogoLogo
API StatusPartner Portal
E-invoicingE-invoicing connections

Get all e-invoicing connections

GET
/einvoicing_connections
GET
/v1/einvoicing_connections
$curl https://api.sandbox.monite.com/v1/einvoicing_connections \
> -H "x-monite-version: 2024-01-31" \
> -H "x-monite-entity-id: 9d2b4c8f-2087-4738-ba91-7359683c49a4" \
> -H "Authorization: Bearer <token>"
1{
2 "data": [
3 {
4 "id": "id",
5 "created_at": "2024-01-15T09:30:00Z",
6 "updated_at": "2024-01-15T09:30:00Z",
7 "address": {
8 "address_line1": "address_line1",
9 "city": "city",
10 "country": "DE",
11 "postal_code": "postal_code",
12 "address_line2": "address_line2",
13 "state": "state"
14 },
15 "credentials": [
16 {
17 "id": "id",
18 "created_at": "2024-01-15T09:30:00Z",
19 "updated_at": "2024-01-15T09:30:00Z",
20 "einvoicing_connection_id": "einvoicing_connection_id",
21 "network_credentials_identifier": "12345678",
22 "network_credentials_schema": "DE:VAT"
23 }
24 ],
25 "entity_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
26 "legal_name": "legal_name",
27 "status": "active",
28 "is_receiver": true,
29 "is_sender": true,
30 "provider_id": "12345"
31 }
32 ]
33}
Was this page helpful?
Previous

Create an e-invoicing connection

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Headers

x-monite-versionstringRequired
x-monite-entity-idstringRequired
The ID of the entity that owns the requested resource.

Response

Successful Response
datalist of objects
List of connections for the current page

Errors

400
Get Einvoicing Connections Request Bad Request Error
401
Get Einvoicing Connections Request Unauthorized Error
403
Get Einvoicing Connections Request Forbidden Error
422
Get Einvoicing Connections Request Unprocessable Entity Error
500
Get Einvoicing Connections Request Internal Server Error